#
# spec file for package perl-Mojolicious-Plugin-AssetPack
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojolicious-Plugin-AssetPack
Version:        1.14
Release:        1.1
%define cpan_name Mojolicious-Plugin-AssetPack
Summary:        Compress and convert css, less, sass, javascript and coffeescript files
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mojolicious-Plugin-AssetPack/
Source0:        http://www.cpan.org/authors/id/J/JH/JHTHORSEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Which) >= 1.21
BuildRequires:  perl(IPC::Run3) >= 0.048
BuildRequires:  perl(Mojolicious) >= 6.50
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(File::Which) >= 1.21
Requires:       perl(IPC::Run3) >= 0.048
Requires:       perl(Mojolicious) >= 6.50
%{perl_requires}

%description
Mojolicious::Plugin::AssetPack is Mojolicious plugin for processing static
assets. The idea is that JavaScript and CSS files should be served as one
minified file to save bandwidth and roundtrip time to the server.

There are many external tools for doing this, but integrating them with
Mojolicious can be a struggle: You want to serve the source files directly
while developing, but a minified version in production. This assetpack
plugin will handle all of that automatically for you.

The actual processing is delegated to "pipe objects". Please see
Mojolicious::Plugin::AssetPack::Guides::Tutorial/Pipes for a complete list.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples README

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.14
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  1.14 2016-06-21T13:33:41+0200
  - Fix Fetch::URL_RE for url(...) without quotes #91 #99
  - Fix trimming whitespace for topics in .def file, closes #93
  - Fix replacing all fetched files #94
  - Will show download error message #96
* Tue May 31 2016 coolo@suse.com
- updated to 1.13
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  1.13 2016-05-21T08:11:27+0200
  - Fix sass-current-app.t after 1.12
  1.12 2016-05-20T20:59:10+0200
  - Fix compressing Sass assets with SASS_STYLE_COMPRESSED
    Contributor: Zoffix Znet
  1.11 2016-05-17T07:55:56+0200
  - Fix failing reloader-process.t
  1.10 2016-05-15T11:50:24+0200
  - Fix watching the actual input asset files in Pipe::Reloader #86
    Contributor: Mark Grimes
  1.09 2016-05-10T21:36:09+0200
  - Fix to deal with multiple imports of the same Sass file #83
    Contributor: Mark Grimes
  1.08 2016-05-09T22:23:42+0200
  - Add support for minifying jpeg image files
  - Add support for minifying png image files #81
    Contributor: Heiko Jansen
  - Add Mojolicious::Plugin::AssetPack::Asset::tag_helper() to support
    future "image" assets.
  1.07 2016-05-03T13:55:45+0200
  - Fix rendering assets URL in mounted apps
  1.06 2016-04-17T14:22:08+0200
  - Fix Fetch with Combine #75
  1.05 2016-04-17T11:19:29+0200
  - Need to "use CSS::Sass 3.3.0" to avoid test failures on missing features
  - Add support for automatic download of fonts #75
  - Add support for conditions in assetpack.def #78
  - Fix SCSS files with UTF-8 encoding #70
  - Fix adding route earlier than on the first request #77
  - Fix setting url() on asset from db file
  1.04 2016-04-08T22:40:29+0200
  - Fix Pipe::Reloader and files from def file
  - Change default Pipe::Reloader strategy to "document" to make reloading
    JavaScript more robust.
  1.03 2016-04-08T20:15:31+0200
  - Add Pipe::Reloader for instant refresh in browser on asset change #72
  - Marked old modules as deprecated
  1.02 2016-04-08T14:30:19+0200
  - Add support for "sass_functions" #68
    Contributor: Mark Grimes
  - Fix 2 naked subroutines
  - Fix t/sass.t: #919191 != #909090
  - Skip more old tests by default
  1.01 2016-04-06T16:10:06+0200
  - Cannot load CSS::Minifier::XS in old code - The module is optional
  - Cannot load JavaScript::Minifier::XS in old code - The module is optional
  1.00 2016-04-02T21:26:35+0200
  - Rewrote the module. Breaking changes might occur.
  - Changed from "pre-processors" to "pipes"
* Sat Dec  5 2015 coolo@suse.com
- updated to 0.69
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.69 2015-12-02T16:37:36+0100
  - Fix "uninitialized value" warning in Scss.pm line 203 #65
  - Fix fetch() from $app
* Mon Sep 28 2015 coolo@suse.com
- updated to 0.68
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.68 2015-09-28T08:28:29+0200
  - Will skip tests unless possible to write to out_dir
  0.67 2015-09-27T15:24:23+0200
  - Fix asset can be read-only
  0.66 2015-09-27T14:56:56+0200
  - Skip some tests on windows
  - Remove EXPERIMENTAL remark for wildcards in filenames #52
  - Remove EXPERIMENTAL remark from headers()
  - Remove EXPERIMENTAL remark from source_paths()
* Sat Sep 26 2015 coolo@suse.com
- updated to 0.65
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.65 2015-09-25T16:55:49+0200
  - Add EXPERIMENTAL fixed mapping between moniker to packed files #64
  - Add EXPERIMENTAL test_app() to ensure all assets are created
  - Change headers() into a method
  - Change out_dir() into a read-only method, as documented
  - Remove EXPERIMENTAL support for reloader.js
  - Remove deprecated preprocessor() method
  - Remove support for in-memory assets #64
  - Fix memory leak
* Sun Sep 20 2015 coolo@suse.com
- updated to 0.64
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.64 2015-09-20T11:44:26+0200
  - Add "SHIPPING" section to Cookbook
  - Fix adding custom response headers when assets are already built #55
  - Fix always add newline to JavaScript assets to prevent issues with comments
  - Improved logging for in-memory assets
  - Improved error reporting when unable to build assets
* Sat Aug 29 2015 coolo@suse.com
- updated to 0.63
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.63 2015-08-29T00:51:29+0200
  - Fix responding 404 when in-memory asset could not be found
  - Add support for custom response headers #55
  0.62 2015-08-27T11:40:41-0400
  - Fix @import tracking #62
* Mon Aug 24 2015 coolo@suse.com
- updated to 0.61
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.61 2015-08-23T13:34:34+0200
  - Add include_paths() to Scss preprocessor
  - Fix using SASS_PATH environment variable when calculating checksum #60
  - Deprecating asset->preprocessor() in favor of asset->preprocessors->add()
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.60
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.60 2015-08-20T17:21:54+0200
  - Fix detecting changed sass/scss files in sub directories, with leading underscore
  0.59 2015-08-20T14:42:25+0200
  - Cannot look for packed files in "source_paths"
  - MOJO_ASSETPACK_DEBUG need to be set to "2" for more verbose debug
  0.58 2015-08-09T14:28:04+0200
  - Change "source_paths" to return original reference and not a copy
  - Need to look for packed files in all directories (source_paths+public)
  0.57 2015-08-09T11:34:21+0200
  - Add support for "source_paths" (EXPERIMENTAL) #58
  - Add support for fetching assets using a proxy
* Sat Aug  8 2015 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.56 2015-08-05T10:44:15+0200
  - Add purge() method (EXPERIMENTAL)
  - Add support for wildcards in filenames (EXPERIMENTAL) #52
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.55
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.55 2015-05-25T12:58:04+0200
  - Will not add memory asset route if not needed #56
  - Make error visible regardless of page scroll position #57
    Contributor: Zoffix Znet
* Fri Apr 24 2015 coolo@suse.com
- updated to 0.54
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
* Mon Apr 20 2015 coolo@suse.com
- updated to 0.5201
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.52
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.51
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.50
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-AssetPack/Changes
  0.50 2015-04-13T11:37:08+0200
  * Need to start with a fresh asset to avoid adding duplicate
    processed data to the same asset.
  0.49     Sun Apr  5 09:54:27 2015
  * Will not pack asset.ext.swp files
  0.48     Sun Apr  5 09:19:01 2015
  * Fix serving in memory assets with Content-Type
  * Fix serving in memory assets with Last-Modified
  0.47     Sat Apr  4 13:53:32 2015
  * Fix Mojo::Base::tap() does not support arguments before 5.57
  0.4602   Thu Apr  2 18:44:01 2015
  * Improved cpantesters
  0.46     Wed Apr  1 15:09:35 2015
  * Remove "fallback" attribute #44 (experimental)
  * Remove "process" method
  * Will prevent AssetPack from registering twice
  * Will not write assets to "mojo-assetpack-public" in TMPDIR #46 (experimental)
  * Allow in-memory assets with out_dir(""), MOJO_ASSETPACK_DEBUG=1 or
    read-only static dirs. #46 (experimental)
  0.45     Tue Mar 31 22:02:06 2015
  * Can also fetch remote assets from local $app #30
  * Will calculate MD5 sum recursively for sass/scss #44
  * Add Cookbook
* Mon Mar 23 2015 coolo@suse.com
- updated to 0.44
  * Add ".min.ext" to minified asset filename
  * Change filename for assets with errors from "-with-error.ext" to ".err.ext"
  * Will look for existing assets even with MOJO_ASSETPACK_DEBUG=1
  * Remove errmsg() from Mojolicious::Plugin::AssetPack::Preprocessor
  * Remove detect() from Mojolicious::Plugin::AssetPack::Preprocessors
  0.43     Fri Mar 20 11:27:22 2015
  * Same CSS::Sass detection for Sass as for Scss preprocessor
* Fri Mar 20 2015 coolo@suse.com
- updated to 0.42
  * Fix "Unescaped left brace in regex is deprecated" warnings
  0.41     Mon Mar 16 13:47:17 2015
  * Will die on CSS::Sass errors
  0.40     Mon Mar 16 11:04:47 2015
  * Fix reading sass files from SASS_PATH, when using CSS::Sass
* Sat Mar 14 2015 coolo@suse.com
- initial package 0.39
  * created by cpanspec 1.78.08
